<div class="card shadow mb-4">
  <div class="card-header py-3">
    <h6 class="m-0 font-weight-bold text-primary">Daftar pengajuan Inventory</h6>
  </div>
  <div class="card-body">
    <div class="table-responsive">
      <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
        <thead>
          <tr>
            <th>Oleh</th>
            <th>Ruangan</th>
            <th>Tanggal Mulai</th>
            <th>Tanggal Berakhir</th>
            <th>Kegiatan</th>
            <th>Biaya</th>
            <th>Status</th>
            <th>Action</th>
          </tr>
        </thead>
        <tfoot>
          <tr>
            <th>Oleh</th>
            <th>Ruangan</th>
            <th>Tanggal Mulai</th>
            <th>Tanggal Berakhir</th>
            <th>Kegiatan</th>
            <th>Biaya</th>
            <th>Status</th>
            <th>Action</th>
          </tr>
        </tfoot>
        <tbody></tbody>
      </table>
    </div>
  </div>
</div>
</div>
<script>
function tanggal(date) {
    var d = new Date(date),
        month = '' + (d.getMonth() + 1),
        day = '' + d.getDate(),
        year = d.getFullYear();
    if (month.length < 2) month = '0' + month;
    if (day.length < 2) day = '0' + day;
    return [day,month,year].join('-');
}
function biaya(x,y,z)
{
  var start = new Date(x),
    end   = new Date(y),
    diff  = new Date(end - start),
    days  = diff/1000/60/60/24;
  b = days*z;
  return b.toFixed(0).replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1,');
}
function batal(id)
{
  $.post($("#apiurl").val()+"/perizinan/batal",{id:id },function(log){
    console.log(log);
  });
}
function status_perizinan(s)
{
  if(s==0) return "Belum disetujui"
  else if (s==1) return "Disetujui"
  else return "Ditolak"
}
$.ajax({dataType:"json", url: $("#apiurl").val()+"/perizinan/getListApplication"}).done(function(data) {
  $.each( data, function( key, val ) {
    var markup = "<tr><td>" + val.nama_depan + " " + val.nama_belakang + "</td><td>" + val.ruang + "</td><td>" + val.date_in + "</td><td>" + val.date_out + "</td><td>" + val.deskripsi + "</td><td>" + biaya(val.date_in,val.date_out,val.biaya) + "</td><td>" + status_perizinan(val.status) + "</td><td><div class='dropdown mb-4'><button class='btn btn-primary dropdown-toggle' type='button' id='dropdownMenuButton' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'>Action</button><div class='dropdown-menu animated--fade-in' aria-labelledby='dropdownMenuButton'><a class='dropdown-item' href='#!' onclick=batal('"+val.id+"')>Batalkan</a></div></div></td></tr>";
    $("#dataTable tbody").append(markup);
  })
});
</script>
<script src="vendor/datatables/jquery.dataTables.min.js"></script>
<script src="vendor/datatables/dataTables.bootstrap4.min.js"></script>
<script src="js/demo/datatables-demo.js"></script>
